net.sf.jasperreports.engine.export

## Class HtmlExporter

- java.lang.Object
- - net.sf.jasperreports.engine.JRAbstractExporter<RC,C,HtmlExporterOutput,JRHtmlExporterContext>
  - - net.sf.jasperreports.engine.export.AbstractHtmlExporter<HtmlReportConfiguration,HtmlExporterConfiguration>
    - - net.sf.jasperreports.engine.export.HtmlExporter

- All Implemented Interfaces:
    JRExporter<ExporterInput,HtmlReportConfiguration,HtmlExporterConfiguration,HtmlExporterOutput>, Exporter<ExporterInput,HtmlReportConfiguration,HtmlExporterConfiguration,HtmlExporterOutput>

      public class HtmlExporter
      extends AbstractHtmlExporter<HtmlReportConfiguration,HtmlExporterConfiguration>

  Version:
    $Id: HtmlExporter.java 7092 2014-05-14 10:44:16Z narcism $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected class` | `HtmlExporter.CellElementVisitor`
    `protected class` | `HtmlExporter.ExporterContext`
    `protected class` | `HtmlExporter.TableVisitor`

    - ### Nested classes/interfaces inherited from class net.sf.jasperreports.engine.JRAbstractExporter

      `JRAbstractExporter.BaseExporterContext, JRAbstractExporter.PageRange`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.LinkedList<java.awt.Color>` | `backcolorStack`
    `protected java.util.Map<java.lang.String,HtmlFont>` | `fontsToProcess`
    `static java.lang.String` | `HTML_EXPORTER_KEY` The exporter key, as used in `GenericElementHandlerEnviroment.getElementHandler(JRGenericElementType, String)`.
    `static java.lang.String` | `HTML_EXPORTER_PROPERTIES_PREFIX`
    `protected java.util.Map<Pair<java.lang.String,java.awt.Rectangle>,java.lang.String>` | `imageMaps`
    `protected int` | `pageIndex`
    `protected int` | `pointerEventsNoneStack`
    `static java.lang.String` | `PROPERTY_BORDER_COLLAPSE` Deprecated. Replaced by `HtmlReportConfiguration.PROPERTY_BORDER_COLLAPSE`.
    `static java.lang.String` | `PROPERTY_HTML_CLASS` Property that provides the value for the `class` CSS style property to be applied to elements in the table generated for the report.
    `static java.lang.String` | `PROPERTY_HTML_ID`
    `static java.lang.String` | `PROPERTY_IGNORE_HYPERLINK` Deprecated. Replaced by `HtmlReportConfiguration.PROPERTY_IGNORE_HYPERLINK`.
    `protected java.util.Map<java.lang.String,java.lang.String>` | `rendererToImagePathMap`
    `protected int` | `reportIndex`
    `protected ExporterFilter` | `tableFilter`
    `protected JRHyperlinkTargetProducerFactory` | `targetProducerFactory`
    `protected java.io.Writer` | `writer`

    - ### Fields inherited from class net.sf.jasperreports.engine.export.AbstractHtmlExporter

      `CSS_TEXT_ALIGN_CENTER, CSS_TEXT_ALIGN_JUSTIFY, CSS_TEXT_ALIGN_LEFT, CSS_TEXT_ALIGN_RIGHT, DEFAULT_ZOOM, fontHandler, HTML_VERTICAL_ALIGN_BOTTOM, HTML_VERTICAL_ALIGN_MIDDLE, HTML_VERTICAL_ALIGN_TOP, IMAGE_NAME_PREFIX, IMAGE_NAME_PREFIX_LEGTH, imageHandler, JR_BOOKMARK_ANCHOR_PREFIX, JR_PAGE_ANCHOR_PREFIX, resourceHandler`

    - ### Fields inherited from class net.sf.jasperreports.engine.JRAbstractExporter

      `allSelector, crtCompositeConfiguration, crtCompositeItemConfiguration, crtItem, dateFormatCache, EXCEPTION_MESSAGE_KEY_END_PAGE_INDEX_OUT_OF_RANGE, EXCEPTION_MESSAGE_KEY_PAGE_INDEX_OUT_OF_RANGE, EXCEPTION_MESSAGE_KEY_START_PAGE_INDEX_OUT_OF_RANGE, exporterConfiguration, exporterContext, exporterInput, exporterOutput, filter, itemConfiguration, jasperPrint, jasperReportsContext, noBackcolorSelector, noneSelector, numberFormatCache, parameters, propertiesUtil, PROPERTY_DEFAULT_FILTER_FACTORY, PROPERTY_SUFFIX_DEFAULT_FILTER_FACTORY, styledTextUtil`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HtmlExporter()`
    `HtmlExporter(JasperReportsContext jasperReportsContext)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.awt.Color` | `appendBackcolorStyle(TableCell cell, java.lang.StringBuilder styleBuffer)`
    `protected boolean` | `appendBorderStyle(JRLineBox box, java.lang.StringBuilder styleBuffer)`
    `protected void` | `appendElementCellGenericStyle(TableCell cell, java.lang.StringBuilder styleBuffer)`
    `protected boolean` | `appendPadding(java.lang.StringBuilder sb, java.lang.Integer padding, java.lang.String side)`
    `protected boolean` | `appendPaddingStyle(JRLineBox box, java.lang.StringBuilder styleBuffer)`
    `protected boolean` | `appendPen(java.lang.StringBuilder sb, JRPen pen, java.lang.String side)`
    `protected void` | `appendSizeStyle(int width, int height, java.lang.StringBuilder styleBuffer)`
    `protected void` | `endCell()`
    `protected void` | `endHyperlink()`
    `protected void` | `ensureOutput()`
    `void` | `exportElements(java.util.List<JRPrintElement> elements)`
    `protected void` | `exportPage(JRPrintPage page)`
    `void` | `exportReport()` Performs the export.
    `protected void` | `exportReportToWriter()`
    `protected void` | `exportStyledText(JRPrintText printText, JRStyledText styledText, java.lang.String tooltip, boolean hyperlinkStarted)`
    `protected void` | `exportStyledTextRun(java.util.Map<java.text.AttributedCharacterIterator.Attribute,java.lang.Object> attributes, java.lang.String text, java.lang.String tooltip, java.util.Locale locale, LineSpacingEnum lineSpacing, java.lang.Float lineSpacingSize, float lineSpacingFactor, java.awt.Color backcolor, boolean hyperlinkStarted)`
    `protected void` | `exportTable(HtmlExporter.TableVisitor tableVisitor, Table table, boolean whiteBackground, boolean isMainReportTable)`
    `protected void` | `finishStartCell()`
    `protected java.lang.String` | `getCellProperty(JRPrintElement element, TableCell cell, java.lang.String key)`
    `protected java.lang.Class<HtmlExporterConfiguration>` | `getConfigurationInterface()`
    `java.lang.String` | `getDataAttributes(JRPrintElement element, TableCell cell)`
    `protected JRPrintElementIndex` | `getElementIndex(TableCell cell)`
    `java.lang.String` | `getExporterKey()`
    `java.lang.String` | `getExporterPropertiesPrefix()` Returns the properties prefix for the current exporter.
    `protected java.lang.String` | `getHyperlinkTarget(JRPrintHyperlink link)`
    `protected java.lang.String` | `getHyperlinkURL(JRPrintHyperlink link)`
    `protected double[]` | `getImageNormalSize(JRPrintImage image, Renderable renderer, int imageWidth, int imageHeight)`
    `protected java.lang.Class<HtmlReportConfiguration>` | `getItemConfigurationInterface()`
    `protected JRStyledText` | `getStyledText(JRPrintText textElement, boolean setBackcolor)`
    `protected void` | `initExport()`
    `protected void` | `initReport()`
    `protected boolean` | `matchesBackcolor(java.awt.Color backcolor)`
    `protected java.lang.String` | `resolveHyperlinkURL(int reportIndex, JRPrintHyperlink link)`
    `protected void` | `restoreBackcolor()`
    `protected void` | `setBackcolor(java.awt.Color color)`
    `protected void` | `setImageHorizontalAlignmentStyle(JRPrintImage image, java.lang.StringBuilder styleBuffer)`
    `protected void` | `setImageVerticalAlignmentStyle(JRPrintImage image, java.lang.StringBuilder styleBuffer)`
    `protected void` | `setJasperReportsContext(JasperReportsContext jasperReportsContext)`
    `protected java.lang.String` | `setRotationStyles(JRPrintText text, java.lang.String horizontalAlignment, java.lang.StringBuilder spanStyleBuffer, java.lang.StringBuilder divStyleBuffer)`
    `protected void` | `startCell(int colSpan, int rowSpan)`
    `protected void` | `startCell(JRPrintElement element, TableCell cell)`
    `protected void` | `startCell(TableCell cell)`
    `protected boolean` | `startHyperlink(JRPrintHyperlink link)`
    `java.lang.String` | `toSizeUnit(float size)`
    `java.lang.String` | `toSizeUnit(int size)` Deprecated. Replaced by `toSizeUnit(float)`.
    `protected float` | `toZoom(float size)`
    `protected int` | `toZoom(int size)` Deprecated. Replaced by `toZoom(float)`.
    `protected void` | `writeEmptyCell(int colSpan, int rowSpan)`
    `protected void` | `writeFrameCell(TableCell cell)`
    `protected void` | `writeGenericElement(JRGenericPrintElement element, TableCell cell)`
    `protected void` | `writeImage(JRPrintImage image, TableCell cell)`
    `protected void` | `writeImageAreaCoordinates(int[] coords)`
    `protected void` | `writeImageAreaHyperlink(JRPrintHyperlink hyperlink)`
    `protected void` | `writeImageMap(java.lang.String imageMapName, JRPrintImage image, java.util.List<JRPrintImageAreaHyperlink> imageMapAreas)`
    `protected void` | `writeLayers(java.util.List<Table> layers, HtmlExporter.TableVisitor tableVisitor, TableCell cell)`
    `protected void` | `writeLine(JRPrintLine line, TableCell cell)`
    `protected void` | `writeRectangle(JRPrintGraphicElement element, TableCell cell)`
    `protected void` | `writeStyle(java.lang.StringBuilder styleBuffer)`
    `protected void` | `writeText(JRPrintText text, TableCell cell)`

    - ### Methods inherited from class net.sf.jasperreports.engine.export.AbstractHtmlExporter

      `getFontHandler, getImage, getImage, getImageHandler, getImageName, getPrintElementIndex, getResourceHandler, setFontHandler, setImageHandler, setResourceHandler`

    - ### Methods inherited from class net.sf.jasperreports.engine.JRAbstractExporter

      `createFilter, defaultParseNumber, ensureInput, ensureJasperReportsContext, getBooleanCellValue, getCurrentConfiguration, getCurrentItemConfiguration, getCurrentJasperPrint, getCustomHandler, getDateCellValue, getDateFormat, getExporterContext, getExporterInput, getExporterOutput, getHyperlinkProducer, getJasperReportsContext, getLocale, getNumberCellValue, getNumberFormat, getOffsetX, getOffsetY, getPageRange, getParameter, getParameters, getPropertiesUtil, getReportContext, getStyledText, getTextFormatFactoryClass, getTextLocale, getTextTimeZone, getTextValue, getTextValueString, reset, resetClassLoader, resetExportContext, restoreElementOffsets, setClassLoader, setConfiguration, setConfiguration, setCurrentExporterInputItem, setExporterInput, setExporterOutput, setFrameElementsOffset, setJasperPrint, setOffset, setOffset, setParameter, setParameters, setReportContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### HTML_EXPORTER_KEY

          public static final java.lang.String HTML_EXPORTER_KEY

      The exporter key, as used in `GenericElementHandlerEnviroment.getElementHandler(JRGenericElementType, String)`.
      See Also:
        Constant Field Values

    - #### HTML_EXPORTER_PROPERTIES_PREFIX

          public static final java.lang.String HTML_EXPORTER_PROPERTIES_PREFIX

      See Also:
        Constant Field Values

    - #### PROPERTY_IGNORE_HYPERLINK

          public static final java.lang.String PROPERTY_IGNORE_HYPERLINK

      Deprecated. Replaced by `HtmlReportConfiguration.PROPERTY_IGNORE_HYPERLINK`.
      See Also:
        Constant Field Values

    - #### PROPERTY_HTML_CLASS

          public static final java.lang.String PROPERTY_HTML_CLASS

      Property that provides the value for the `class` CSS style property to be applied to elements in the table generated for the report. The value of this property will be used as the value for the `class` attribute of the `<td>` tag for the element when exported to HTML and/or the `class` attribute of the `<span>` or `<div>` tag for the element, when exported to XHTML/CSS.
      See Also:
        Constant Field Values

    - #### PROPERTY_HTML_ID

          public static final java.lang.String PROPERTY_HTML_ID

      See Also:
        Constant Field Values

    - #### PROPERTY_BORDER_COLLAPSE

          public static final java.lang.String PROPERTY_BORDER_COLLAPSE

      Deprecated. Replaced by `HtmlReportConfiguration.PROPERTY_BORDER_COLLAPSE`.
      See Also:
        Constant Field Values

    - #### targetProducerFactory

          protected JRHyperlinkTargetProducerFactory targetProducerFactory

    - #### rendererToImagePathMap

          protected java.util.Map<java.lang.String,java.lang.String> rendererToImagePathMap

    - #### imageMaps

          protected java.util.Map<Pair<java.lang.String,java.awt.Rectangle>,java.lang.String> imageMaps

    - #### fontsToProcess

          protected java.util.Map<java.lang.String,HtmlFont> fontsToProcess

    - #### writer

          protected java.io.Writer writer

    - #### reportIndex

          protected int reportIndex

    - #### pageIndex

          protected int pageIndex

    - #### backcolorStack

          protected java.util.LinkedList<java.awt.Color> backcolorStack

    - #### tableFilter

          protected ExporterFilter tableFilter

    - #### pointerEventsNoneStack

          protected int pointerEventsNoneStack

  - ### Constructor Detail

    - #### HtmlExporter

          public HtmlExporter()

    - #### HtmlExporter

          public HtmlExporter(JasperReportsContext jasperReportsContext)

  - ### Method Detail

    - #### getExporterKey

          public java.lang.String getExporterKey()

      Specified by:
        `getExporterKey` in class `JRAbstractExporter<HtmlReportConfiguration,HtmlExporterConfiguration,HtmlExporterOutput,JRHtmlExporterContext>`

    - #### getExporterPropertiesPrefix

          public java.lang.String getExporterPropertiesPrefix()

      Description copied from class: `JRAbstractExporter`
      Returns the properties prefix for the current exporter.
      Specified by:
        `getExporterPropertiesPrefix` in class `JRAbstractExporter<HtmlReportConfiguration,HtmlExporterConfiguration,HtmlExporterOutput,JRHtmlExporterContext>`
      Returns:
        the properties prefix for the current exporter

    - #### exportReport

          public void exportReport()
                            throws JRException

      Description copied from interface: `Exporter`
      Performs the export.
      Specified by:
        `exportReport` in interface `Exporter<ExporterInput,HtmlReportConfiguration,HtmlExporterConfiguration,HtmlExporterOutput>`
      Specified by:
        `exportReport` in class `JRAbstractExporter<HtmlReportConfiguration,HtmlExporterConfiguration,HtmlExporterOutput,JRHtmlExporterContext>`
      Throws:
        `JRException`

    - #### getConfigurationInterface

          protected java.lang.Class<HtmlExporterConfiguration> getConfigurationInterface()

      Specified by:
        `getConfigurationInterface` in class `JRAbstractExporter<HtmlReportConfiguration,HtmlExporterConfiguration,HtmlExporterOutput,JRHtmlExporterContext>`

    - #### getItemConfigurationInterface

          protected java.lang.Class<HtmlReportConfiguration> getItemConfigurationInterface()

      Specified by:
        `getItemConfigurationInterface` in class `JRAbstractExporter<HtmlReportConfiguration,HtmlExporterConfiguration,HtmlExporterOutput,JRHtmlExporterContext>`

    - #### ensureOutput

          protected void ensureOutput()

      Specified by:
        `ensureOutput` in class `JRAbstractExporter<HtmlReportConfiguration,HtmlExporterConfiguration,HtmlExporterOutput,JRHtmlExporterContext>`

    - #### initExport

          protected void initExport()

      Overrides:
        `initExport` in class `JRAbstractExporter<HtmlReportConfiguration,HtmlExporterConfiguration,HtmlExporterOutput,JRHtmlExporterContext>`

    - #### initReport

          protected void initReport()

      Overrides:
        `initReport` in class `JRAbstractExporter<HtmlReportConfiguration,HtmlExporterConfiguration,HtmlExporterOutput,JRHtmlExporterContext>`

    - #### setJasperReportsContext

          protected void setJasperReportsContext(JasperReportsContext jasperReportsContext)

      Overrides:
        `setJasperReportsContext` in class `JRAbstractExporter<HtmlReportConfiguration,HtmlExporterConfiguration,HtmlExporterOutput,JRHtmlExporterContext>`

    - #### exportReportToWriter

          protected void exportReportToWriter()
                                       throws JRException,
                                              java.io.IOException

      Throws:
        `JRException`
        `java.io.IOException`

    - #### exportPage

          protected void exportPage(JRPrintPage page)
                             throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### exportElements

          public void exportElements(java.util.List<JRPrintElement> elements)
                              throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### exportTable

          protected void exportTable(HtmlExporter.TableVisitor tableVisitor,
                         Table table,
                         boolean whiteBackground,
                         boolean isMainReportTable)
                              throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### writeText

          protected void writeText(JRPrintText text,
                       TableCell cell)
                            throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### setRotationStyles

          protected java.lang.String setRotationStyles(JRPrintText text,
                                           java.lang.String horizontalAlignment,
                                           java.lang.StringBuilder spanStyleBuffer,
                                           java.lang.StringBuilder divStyleBuffer)

    - #### appendSizeStyle

          protected void appendSizeStyle(int width,
                             int height,
                             java.lang.StringBuilder styleBuffer)

    - #### writeImage

          protected void writeImage(JRPrintImage image,
                        TableCell cell)
                             throws java.io.IOException,
                                    JRException

      Throws:
        `java.io.IOException`
        `JRException`

    - #### setImageHorizontalAlignmentStyle

          protected void setImageHorizontalAlignmentStyle(JRPrintImage image,
                                              java.lang.StringBuilder styleBuffer)

    - #### setImageVerticalAlignmentStyle

          protected void setImageVerticalAlignmentStyle(JRPrintImage image,
                                            java.lang.StringBuilder styleBuffer)

    - #### getImageNormalSize

          protected double[] getImageNormalSize(JRPrintImage image,
                                    Renderable renderer,
                                    int imageWidth,
                                    int imageHeight)
                                         throws JRException

      Throws:
        `JRException`

    - #### getElementIndex

          protected JRPrintElementIndex getElementIndex(TableCell cell)

    - #### writeImageMap

          protected void writeImageMap(java.lang.String imageMapName,
                           JRPrintImage image,
                           java.util.List<JRPrintImageAreaHyperlink> imageMapAreas)
                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### writeImageAreaCoordinates

          protected void writeImageAreaCoordinates(int[] coords)
                                            throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### writeImageAreaHyperlink

          protected void writeImageAreaHyperlink(JRPrintHyperlink hyperlink)
                                          throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### writeRectangle

          protected void writeRectangle(JRPrintGraphicElement element,
                            TableCell cell)
                                 throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### writeLine

          protected void writeLine(JRPrintLine line,
                       TableCell cell)
                            throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### writeGenericElement

          protected void writeGenericElement(JRGenericPrintElement element,
                                 TableCell cell)
                                      throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### writeLayers

          protected void writeLayers(java.util.List<Table> layers,
                         HtmlExporter.TableVisitor tableVisitor,
                         TableCell cell)
                              throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### startCell

          protected void startCell(JRPrintElement element,
                       TableCell cell)
                            throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getDataAttributes

          public java.lang.String getDataAttributes(JRPrintElement element,
                                           TableCell cell)

    - #### getCellProperty

          protected java.lang.String getCellProperty(JRPrintElement element,
                                         TableCell cell,
                                         java.lang.String key)

    - #### startCell

          protected void startCell(TableCell cell)
                            throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### startCell

          protected void startCell(int colSpan,
                       int rowSpan)
                            throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### finishStartCell

          protected void finishStartCell()
                                  throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### endCell

          protected void endCell()
                          throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### writeEmptyCell

          protected void writeEmptyCell(int colSpan,
                            int rowSpan)
                                 throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### writeFrameCell

          protected void writeFrameCell(TableCell cell)
                                 throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### writeStyle

          protected void writeStyle(java.lang.StringBuilder styleBuffer)
                             throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### appendElementCellGenericStyle

          protected void appendElementCellGenericStyle(TableCell cell,
                                           java.lang.StringBuilder styleBuffer)

    - #### setBackcolor

          protected void setBackcolor(java.awt.Color color)

    - #### restoreBackcolor

          protected void restoreBackcolor()

    - #### matchesBackcolor

          protected boolean matchesBackcolor(java.awt.Color backcolor)

    - #### appendBackcolorStyle

          protected java.awt.Color appendBackcolorStyle(TableCell cell,
                                            java.lang.StringBuilder styleBuffer)

    - #### appendBorderStyle

          protected boolean appendBorderStyle(JRLineBox box,
                                  java.lang.StringBuilder styleBuffer)

    - #### appendPen

          protected boolean appendPen(java.lang.StringBuilder sb,
                          JRPen pen,
                          java.lang.String side)

    - #### appendPaddingStyle

          protected boolean appendPaddingStyle(JRLineBox box,
                                   java.lang.StringBuilder styleBuffer)

    - #### appendPadding

          protected boolean appendPadding(java.lang.StringBuilder sb,
                              java.lang.Integer padding,
                              java.lang.String side)

    - #### startHyperlink

          protected boolean startHyperlink(JRPrintHyperlink link)
                                    throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### endHyperlink

          protected void endHyperlink()
                               throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getHyperlinkURL

          protected java.lang.String getHyperlinkURL(JRPrintHyperlink link)

    - #### resolveHyperlinkURL

          protected java.lang.String resolveHyperlinkURL(int reportIndex,
                                             JRPrintHyperlink link)

    - #### getHyperlinkTarget

          protected java.lang.String getHyperlinkTarget(JRPrintHyperlink link)

    - #### toSizeUnit

          public java.lang.String toSizeUnit(float size)

    - #### toSizeUnit

          public java.lang.String toSizeUnit(int size)

      Deprecated. Replaced by `toSizeUnit(float)`.

    - #### toZoom

          protected float toZoom(float size)

    - #### toZoom

          protected int toZoom(int size)

      Deprecated. Replaced by `toZoom(float)`.

    - #### getStyledText

          protected JRStyledText getStyledText(JRPrintText textElement,
                                   boolean setBackcolor)

      Overrides:
        `getStyledText` in class `JRAbstractExporter<HtmlReportConfiguration,HtmlExporterConfiguration,HtmlExporterOutput,JRHtmlExporterContext>`

    - #### exportStyledText

          protected void exportStyledText(JRPrintText printText,
                              JRStyledText styledText,
                              java.lang.String tooltip,
                              boolean hyperlinkStarted)
                                   throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### exportStyledTextRun

          protected void exportStyledTextRun(java.util.Map<java.text.AttributedCharacterIterator.Attribute,java.lang.Object> attributes,
                                 java.lang.String text,
                                 java.lang.String tooltip,
                                 java.util.Locale locale,
                                 LineSpacingEnum lineSpacing,
                                 java.lang.Float lineSpacingSize,
                                 float lineSpacingFactor,
                                 java.awt.Color backcolor,
                                 boolean hyperlinkStarted)
                                      throws java.io.IOException

      Throws:
        `java.io.IOException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com